LazyDataSource (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.attachment, class: LazyDataSource

Package org.apache.cxf.attachment

# Class LazyDataSource

java.lang.Object
org.apache.cxf.attachment.LazyDataSource

All Implemented Interfaces:
  `jakarta.activation.DataSource`

public class LazyDataSource extends Object implements jakarta.activation.DataSource
A DataSource which will search through a Collection of attachments so as to lazily load the attachment from the collection. This allows streaming attachments with databinding toolkits like JAXB.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LazyDataSource(String id, Collection<Attachment> attachments)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getContentType()`
  `jakarta.activation.DataSource`
  `getDataSource()`
  `InputStream`
  `getInputStream()`
  `String`
  `getName()`
  `OutputStream`
  `getOutputStream()`
  `void`
  `setDataSource(jakarta.activation.DataSource dataSource)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LazyDataSource

    public LazyDataSource(String id, Collection<Attachment> attachments)

- ## Method Details

  - ### getContentType

    public String getContentType()
    Specified by:
      `getContentType` in interface `jakarta.activation.DataSource`

  - ### getInputStream

    public InputStream getInputStream() throws IOException
    Specified by:
      `getInputStream` in interface `jakarta.activation.DataSource`
    Throws:
      `IOException`

  - ### getName

    public String getName()
    Specified by:
      `getName` in interface `jakarta.activation.DataSource`

  - ### getOutputStream

    public OutputStream getOutputStream() throws IOException
    Specified by:
      `getOutputStream` in interface `jakarta.activation.DataSource`
    Throws:
      `IOException`

  - ### getDataSource

    public jakarta.activation.DataSource getDataSource()

  - ### setDataSource

    public void setDataSource(jakarta.activation.DataSource dataSource)